/*
 * TableView with Horizontal Scroll
 * 
 * CC BY Johan Wigmo | Wigmo Productions
 * Attribution http://creativecommons.org/licenses/by/3.0/
 */

var self = Ti.UI.createWindow({
	title: "TableView with Horizontal Scroll"
});

//
// Custom data
//
// textData - Rows in tableView
var textData = ['Featured', 'Featured 2', 'Featured 3', 'Featured 4', 'Featured 5', 'Featured 6'];
// imageData - Columns in rows
var imageData = ['images/img1.jpg', 'images/img2.jpg', 'images/img3.jpg', 'images/img1.jpg', 'images/img2.jpg', 'images/img3.jpg', 'images/img1.jpg', 'images/img2.jpg', 'images/img3.jpg'];

var tableData = [];

for (var i=0; i < textData.length; i++){
	
	var row = Ti.UI.createTableViewRow({
		height: 138,
		backgroundColor: '#000',
		selectionStyle: 'none'
	});
	
	var topView = Ti.UI.createView({
		backgroundColor: '#404040',
		width: 320,
		height: 30,
		top: 0
	});
	row.add(topView);
	
	var topLbl = Ti.UI.createLabel({
		text: textData[i],
		color: '#fff',
		height: 'auto',
		width: 'auto',
		left: 8,
		font: {	fontSize: 14, fontFamily: 'GillSans-Bold'}
	});
	topView.add(topLbl);

	var scrollView = Ti.UI.createScrollView({
		contentWidth: 'auto',
		contentHeight: 'auto',
		width: 320,
		height: 108,
		bottom: 0
	});
	row.add(scrollView);
			
	var bottomView = Ti.UI.createView({
		backgroundColor: '#fff',
		width: 612,
		height: 108,
		layout: 'horizontal'
	});
	scrollView.add(bottomView);
	
	for (var a=0; a<imageData.length; a++){
		var imageContainer = Ti.UI.createView({
			height: 108,
			width: 102
		});
		bottomView.add(imageContainer);
		
		var image = Ti.UI.createImageView({
			image: imageData[a],
			backgroundColor: '#fff',
			height: 108,
			width: 102
		});
		imageContainer.add(image);
		
		// Opacity View
		var imageOpView = Ti.UI.createView({
			width: '100%',
			height: 40,
			bottom: 0,
			backgroundColor: '#000',
			opacity: 0.5
		});
		imageContainer.add(imageOpView);
		
		var imageTextView = Ti.UI.createView({
			width: '100%',
			height: 40,
			bottom: 0
		});
		imageContainer.add(imageTextView);
		
		var imageLbl = Ti.UI.createLabel({
			text: 'Lorem ipsum dolor sit amet.',
			width: 'auto',
			height: 'auto',
			color: '#fff',
			font: {	fontSize: 12, fontFamily: 'GillSans-Bold'}
		});
		imageTextView.add(imageLbl);
		
		//Make the image clickable
		var imageClickView = Ti.UI.createView({
			height: 108,
			width: 102,
			rowIndex: i,
			imageID: a
		});
		imageContainer.add(imageClickView);
		
		imageClickView.addEventListener('singletap', function(e){
			alert('RowIndex: ' + e.source.rowIndex + ' ImageID: ' + e.source.imageID);
		});
		
	}
	
	tableData.push(row);
}

var tableView = Ti.UI.createTableView({
	separatorColor: '#13b8f0',
	backgroundColor: '#000',
	data:tableData
});
self.add(tableView);

self.open();
